evals as code
Create evals as code apply
Requires scopes: admin:org
POST
/
api
/
evals-as-code
/
apply
Create evals as code apply
curl --request POST \
--url https://evalgate.com/api/evals-as-code/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "<string>",
"triggerSource": "api",
"gitRepository": "<string>",
"gitRef": "<string>",
"gitSha": "<string>",
"manifest": true,
"expectedPlanHash": "<string>",
"allowDestructive": false,
"adoptExisting": false
}
'import requests
url = "https://evalgate.com/api/evals-as-code/apply"
payload = {
"idempotencyKey": "<string>",
"triggerSource": "api",
"gitRepository": "<string>",
"gitRef": "<string>",
"gitSha": "<string>",
"manifest": True,
"expectedPlanHash": "<string>",
"allowDestructive": False,
"adoptExisting": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: '<string>',
triggerSource: 'api',
gitRepository: '<string>',
gitRef: '<string>',
gitSha: '<string>',
manifest: true,
expectedPlanHash: '<string>',
allowDestructive: false,
adoptExisting: false
})
};
fetch('https://evalgate.com/api/evals-as-code/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"applyId": 123,
"manifestHash": "<string>",
"planHash": "<string>",
"status": "<string>",
"manifestArtifactId": 123,
"manifestVersionId": 123,
"applied": [
{
"resource": "<string>",
"id": "<string>",
"action": "<string>"
}
],
"skipped": [
"<string>"
],
"operations": [
{
"resourceType": "<string>",
"logicalResourceId": "<string>",
"action": "<string>",
"status": "<string>"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
triggerSource
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Available options:
api Available options:
false Available options:
false Response
Successful response
⌘I
Create evals as code apply
